## gtksql 0.2-3

=== Makefile ===
# Here, what you need for Pgsql
PGSQLIBS    = -lpq -lcrypt
PGSQLCFLAGS = -I/usr/include/postgresql/
# Your favorite compilation options here :-)
MCFLAGS  = -Wall -O -g

# The database modules you want to be built
DBOBJS  = postgres.o
DBFLAGS = -DPOSTGRESQL

# Nothing to change here...
MOBJS   = main.o queries.o dialogs.o tables.o common.o export.o status.o

OBJS    = $(MOBJS) $(DBOBJS)
CFLAGS  = $(MCFLAGS) $(DBFLAGS)

GTKLIBS     = `gtk-config --libs`
GTKCFLAGS   = `gtk-config --cflags`

all: $(OBJS)
	gcc -o gtksql $(OBJS) $(PGSQLIBS) $(GTKLIBS) $(CFLAGS)

clean:
	rm *.o gtksql

install: all
	cp gtksql $(DESTDIR)usr/bin/
	cp gtksql.1 $(DESTDIR)usr/man/man1/

.c.o: 
	gcc $(CFLAGS) -DPOSTGRESQL $(GTKCFLAGS) $(PGSQLCFLAGS) -c $*.c -o ./$*.o
