=== debian/changelog ===
gtksql (0.2-3) frozen unstable; urgency=low

  * Fixes #27684.
  * Fixes #28002.
  * Fixes #28356.
	
 -- David N. Welton <davidw@efn.org>  Tue, 10 Nov 1998 22:07:32 -0800

gtksql (0.2-2) unstable; urgency=low

  * Fixes #28002.

 -- David N. Welton <davidw@efn.org>  Thu, 15 Oct 1998 23:41:46 -0700

gtksql (0.2-1) unstable; urgency=low

  * New upstream version.

 -- David N. Welton <davidw@efn.org>  Fri, 28 Aug 1998 09:56:03 -0700

gtksql (0.1-3) unstable; urgency=low

  * Added better sizing to the results columns.  It uses the bigger of the column title or column data, unless it is larger than the max, defined in queries.h. 

 -- David N. Welton <davidw@efn.org>  Wed, 29 Jul 1998 18:09:21 -0700

gtksql (0.1-2) unstable; urgency=low

  * Added username and password authentication.

 -- David N. Welton <davidw@efn.org>  Mon, 27 Jul 1998 15:02:22 -0700

gtksql (0.1-1) unstable; urgency=low

  * Initial Release.

 -- David N. Welton <davidw@efn.org>  Fri, 24 Jul 1998 17:14:24 -0700

Local variables:
mode: debian-changelog
add-log-mailing-address: "davidw@efn.org"
End:
