=== debian/control ===
Source: gtksql
Section: misc
Priority: optional
Maintainer: David N. Welton <davidw@efn.org>
Standards-Version: 2.4.1

Package: gtksql
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libpgsql (>= 6.4)
Description: GTK front end to the postgresql database.
 GtkSQL is a graphical query tool for PostgreSQL 6.3. The author
 states that it is unpolished, lacking several features planned for
 addition, but that it is stable and usable.
