## gtksql 0.3

=== Makefile ===
# Your favorite compilation options here :-)
MCFLAGS  = -Wall -O -g 
LDFLAGS  =  -lcrypt

# Comment out the variables for the databases that you do not want
# Here, what you need for PostgreSQL
PGSQLIBS    = -L/usr/local/pgsql/lib -lpq
PGSQLCFLAGS = -I/usr/local/pgsql/include -DUSE_POSTGRESQL
PGSQLOBJS   = postgres.o

# Here, what you need for MySQL
MYSQLIBS    = -L/usr/lib/mysql -lmysqlclient
MYSQLCFLAGS = -I/usr/include/mysql -DUSE_MYSQL
MYSQLOBJS   = mysql.o

# Nothing to change below this point...
DBSQLIBS = $(PGSQLIBS) $(MYSQLIBS)
DBSQLCFLAGS = $(PGSQLCFLAGS) $(MYSQLCFLAGS)
DBSQLOBJS = $(PGSQLOBJS) $(MYSQLOBJS)

MOBJS   = main.o queries.o dialogs.o tables.o export.o status.o \
          config.o mytoolbar.o

OBJS    = $(MOBJS) $(DBSQLOBJS)
CFLAGS  = $(MCFLAGS) $(DBSQLFLAGS)

GTKLIBS     = `gtk-config --libs`
GTKCFLAGS   = `gtk-config --cflags`

all: $(OBJS)
	gcc -o gtksql $(OBJS) $(DBSQLIBS) $(GTKLIBS) $(CFLAGS) $(LDFLAGS)

clean:
	rm -f *.o gtksql

install: all
	cp gtksql $(DESTDIR)usr/bin/

.c.o: 
	gcc $(CFLAGS) $(GTKCFLAGS) $(DBSQLCFLAGS) -c $*.c -o ./$*.o
